| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitFixed Struct Reference

Fixed value emitter - returns a particular point value. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitFixed:

[legend]
List of all members.

## Public Member Functions
virtual void | SetValue (const csVector3 &value)=0
| set the fixed value

## Detailed Description

Fixed value emitter - returns a particular point value.

Main creators of instances implementing this interface:

- iEmitFactoryState::CreateFixed()

Main users of this interface:

- iEmitState

Definition at line 56 of file emit.h.

## Member Function Documentation

virtual void iEmitFixed::SetValue | ( | const csVector3 & | value | ) | `[pure virtual]`

set the fixed value

The documentation for this struct was generated from the following file:

- imesh/emit.h